package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.overtime;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 加班申请 创建 Request VO
 *
 */
@Data
@ToString(callSuper = true)
public class BpmOAOvertimeItemVO {
    @Schema(description = "日期 yyyy-MM-dd")
    private String dateTimeStr;

    @Schema(description = "加班时长", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "加班时长不能为空")
    private BigDecimal timeLength;
}

