package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAOvertimeItemDO;

import java.util.List;

/**
 * 加班申请子表 Service 接口
 *
 * @author 艾楷
 */
public interface BpmOAOvertimeItemService {

    /**
     * 根据OA加班申请id获取加班申请子表
     *
     * @param overtimeId
     * @return
     */
    List<BpmOAOvertimeItemDO> getByOvertimeId(Long overtimeId);

    /**
     * 根据OA加班申请ids获取加班申请子表列表
     *
     * @param overtimeIds
     * @return
     */
    List<BpmOAOvertimeItemDO> getByOvertimeIds(List<Long> overtimeIds);
}
