package cn.iocoder.yudao.module.crm.controller.admin.salesperformanceweight.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 销售业绩权重设置新增/修改 Request VO")
@Data
public class SalesPerformanceWeightSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "2375")
    private Long id;

    @Schema(description = "销售权重%")
    private BigDecimal saleWeight;

    @Schema(description = "回款权重%")
    private BigDecimal paymentWeight;

    @Schema(description = "评分权重%")
    private BigDecimal scoreWeight;

}



