package cn.iocoder.yudao.module.infra.controller.admin.file.vo.file;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 分片上传取消请求 VO
 *
 * @author AI Assistant
 */
@Schema(description = "管理后台 - 分片上传取消请求")
@Data
public class MultipartUploadAbortRequest {

    @Schema(description = "分片上传会话ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "3d8b7f2a-1234-5678-9abc-def012345678")
    @NotBlank(message = "上传会话ID不能为空")
    private String uploadId;

} 