package cn.iocoder.yudao.module.system.api.customersettlement;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.api.customersettlement.dto.SettlementItemDTO;
import cn.iocoder.yudao.module.system.service.customersettlement.CustomerSettlementService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
public class SettlementApiImpl implements SettlementApi {

    @Resource
    private CustomerSettlementService customerSettlementService;


    @Override
    public CommonResult<List<SettlementItemDTO>> getDeductionItems(Long factoryId, String month) {
        return success( customerSettlementService.getDeductionItems(factoryId, month));
    }
}
