package cn.iocoder.yudao.module.system.controller.admin.holiday.holidaysettingrange.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 假期规则人员范围新增/修改 Request VO")
@Data
public class HolidaySettingRangeSaveReqVO {

    @Schema(description = "编号",  example = "12790")
    private Long id;

    @Schema(description = "假期设置id", example = "27475")
    private Long holidaySettingId;

    @Schema(description = "目标类型 1考勤组 2部门 3个人", example = "2")
    private Integer type;

    @Schema(description = "根据目标类型对应的id", example = "3161")
    private Long objectId;

}
