package cn.iocoder.yudao.module.system.dal.dataobject.hr;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@TableName(value = "hr_salary_type", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SalaryTypeDO extends BaseDO {

    /**
     * 主键ID，自增
     */
    @TableId
    private Long id;

    /**
     * 类型名称
     */
    private String name;

    /**
     * 类型 | 0应发工资项 1代扣代缴项
     */
    private Integer type;

    /**
     * 显示顺序
     */
    private Integer sort;

    /**
     * 状态 | 0开启 1关闭
     */
    private Integer status;
}
