package cn.iocoder.yudao.module.system.service.holiday.holidayuseremploymentrecord;

import cn.iocoder.yudao.module.system.dal.dataobject.holidayuseremploymentrecord.HolidayUserEmploymentRecordDO;

/**
 * 用户按入职时间发放日期记录表(每年) Service 接口
 *
 * @author 艾楷
 */
public interface HolidayUserEmploymentRecordService {

    /**
     * 删除用户按入职时间发放日期记录表(每年)
     *
     * @param id 编号
     */
    void deleteHolidayUserEmploymentRecord(Long id);

    /**
     * 获得用户按入职时间发放日期记录表(每年)
     *
     * @param id 编号
     * @return 用户按入职时间发放日期记录表(每年)
     */
    HolidayUserEmploymentRecordDO getHolidayUserEmploymentRecord(Long id);
}
