package cn.iocoder.yudao.module.smartfactory.controller.admin.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDate;

@Schema(description = "管理后台 - 厂区员工考勤记录 Response VO")
@Data
public class AttendanceRecordVO {

    @Schema(description = "打卡日期")
    private LocalDate punchTime;

    @Schema(description = "打卡状态 | 1上班 2休息 3病假 4事假 5工伤")
    private Integer status;
}
