package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 工厂出库入库数据 总览 Request VO")
@Data
public class FactoryDataTotalVO {

    @Schema(description = "工厂id")
    private Long factoryId;

    @Schema(description = "工厂名称")
    private String factoryName;

    @Schema(description = "入库总数")
    private Integer inTotal;

    @Schema(description = "出库总数")
    private Integer outTotal;

    @Schema(description = "破损总数")
    private Integer damageNum;

    @Schema(description = "入库百分比")
    private String inPercentage;

    @Schema(description = "出库百分比")
    private String outPercentage;

    @Schema(description = "入库出库百分比")
    private String inOutPercentage;
}
