package cn.iocoder.yudao.module.smartfactory.controller.admin.staff.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 员工分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StaffPageReqVO extends PageParam {

    @Schema(description = "员工昵称")
    private String nickName;

    @Schema(description = "工种id", example = "6971")
    private Integer workTypeId;

    @Schema(description = "所属业务类型")
    private Integer businessType;

    @Schema(description = "工厂id", example = "6971")
    private Long factoryId;

    @Schema(description = "0离职  1在职", example = "1")
    private Integer status;

}