package cn.iocoder.yudao.module.bpm.api.oa.vo.loan;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "RPC 服务 - OA 借支 Response VO")
@Data
public class BpmOALoanSumDTO {

    @Schema(description = "借支员工编号")
    private Long sfUserId;

    @Schema(description = "借支总金额")
    private BigDecimal totalAmount;
}
