package cn.iocoder.yudao.module.bpm.api.oa.vo.salesperformance;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class SalesPerformanceDTO {
    /**
     * 销售业绩目标申请id
     */
    private Long id;
    /**
     * 申请人的用户编号
     */
    private Long userId;
    /**
     * 年
     */
    private String year;
    /**
     * 月
     */
    private String month;
    /**
     * 回款目标
     */
    private BigDecimal paymentTarget;
    /**
     * 销售目标
     */
    private Integer saleTarget;
    /**
     * 备注
     */
    private String remark;
    /**
     * 申请结果
     */
    private Integer result;
}
