package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.expenses;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 生产开支金额统计 Response VO")
@Data
public class BpmOAExpensesTotal {

    @Schema(description = "已付款金额")
    private BigDecimal amountPaid;

    @Schema(description = "应付款金额")
    private BigDecimal payableAmount;

    @Schema(description = "剩余付款金额")
    private BigDecimal remainingPayable;
}
