package cn.iocoder.yudao.module.bpm.controller.admin.processmapping.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

/**
 * 流程映射配置更新 Request VO
 *
 * @author 系统
 */
@Schema(description = "管理后台 - 流程映射配置更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmProcessMappingConfigUpdateReqVO extends BpmProcessMappingConfigCreateReqVO {

    @Schema(description = "配置ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    @NotNull(message = "配置ID不能为空")
    private Long id;

} 