package cn.iocoder.yudao.module.hrm.api.crmbusiness.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "RPC 服务 - 商机产品关联 Response DTO")
@Data
public class CrmBusinessProductDTO {

    @Schema(description = "编号")
    private Long id;

    @Schema(description = "商机id")
    private Long businessId;

    @Schema(description = "产品id")
    private Long productId;

    @Schema(description = "商品名称")
    private String name;

    @Schema(description = "商品属性")
    private String productAttrUnique;

    @Schema(description = "单价")
    private BigDecimal price;

    @Schema(description = "数量")
    private Integer nums;

    @Schema(description = "小计")
    private BigDecimal subtotal;

    @Schema(description = "备注")
    private String remarks;
}
