package cn.iocoder.yudao.module.product.convert.storecategory;

import cn.iocoder.yudao.module.product.controller.admin.storecategory.vo.StoreProductCategoryCreateReqVO;
import cn.iocoder.yudao.module.product.controller.admin.storecategory.vo.StoreProductCategoryRespVO;
import cn.iocoder.yudao.module.product.controller.admin.storecategory.vo.StoreProductCategoryUpdateReqVO;
import cn.iocoder.yudao.module.product.dal.dataobject.storecategory.StoreProductCategoryDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 商品分类 Convert
 *
 * @author yshop
 */
@Mapper
public interface StoreProductCategoryConvert {

    StoreProductCategoryConvert INSTANCE = Mappers.getMapper(StoreProductCategoryConvert.class);

    StoreProductCategoryDO convert(StoreProductCategoryCreateReqVO bean);

    StoreProductCategoryDO convert(StoreProductCategoryUpdateReqVO bean);

    StoreProductCategoryRespVO convert(StoreProductCategoryDO bean);

    List<StoreProductCategoryRespVO> convertList(List<StoreProductCategoryDO> list);

}
