package cn.iocoder.yudao.module.system.controller.admin.file.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 文件管理 Response VO")
@Data
public class FileRespVO {

    @Schema(description = "文件编号")
    private String fileId;

    @Schema(description = "文件 URL")
    private String url;

    @Schema(description = "文件名")
    private String fileName;

    @Schema(description = "文件类型")
    private String fileType;
}
