package cn.iocoder.yudao.module.system.controller.admin.hr.vo.type;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 工资类型 Response VO")
@Data
public class SalaryTypeRespVO {

    @Schema(description = "编号")
    private Long id;

    @Schema(description = "类型名称")
    private String name;

    @Schema(description = "类型 | 0应发工资项 1代扣代缴项", example = "1")
    private Integer type;

    @Schema(description = "显示顺序", example = "1")
    private Integer sort;

    @Schema(description = "状态 | 0开启 1关闭")
    private Integer status;
}
