package cn.iocoder.yudao.module.system.controller.admin.packagingtoolstable;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.service.packagingtoolstable.PackagingToolsTableService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.annotation.security.PermitAll;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Tag(name = "管理后台 - 木托绑带资产 （excel 临时表）")
@RestController
@RequestMapping("/system/packaging-tools-table")
@Validated
public class PackagingToolsTableController {

    @Resource
    private PackagingToolsTableService packagingToolsTableService;

    @GetMapping("/test")
    @Operation(summary = "导入木托绑带资产 （excel 临时表）")
    @PermitAll
    public CommonResult<Boolean> test() {
        packagingToolsTableService.test();
        return success(true);
    }
}
