package cn.iocoder.yudao.module.system.controller.admin.rental.vo.customer;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 租赁客户新增/修改 Request VO")
@Data
public class RentalCustomerStatusReqVO {

    @Schema(description = "租赁客户表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "状态 | 0开启 1关闭")
    private Integer status;
}