package cn.iocoder.yudao.module.system.controller.admin.workovertime.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 加班规则新增/修改 Request VO")
@Data
public class WorkOvertimeRuleSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "32262")
    private Long id;

    @Schema(description = "规则名称", example = "张三")
    private String ruleName;

    @Schema(description = "引用范围考勤组ids 逗号隔开")
    private String attendanceGroupIds;

    @Schema(description = "负责人", example = "3784")
    private Long leaderUserId;

    @Schema(description = "加班规则子表")
    private List<WorkOvertimeRuleItemSaveReqVO> workOvertimeRuleItems;

    @Schema(description = "更多规则")
    private WorkOvertimeMoreRuleSaveReqVO moreRule;
}
