package cn.iocoder.yudao.module.smartfactory.controller.admin.staffsalary.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Schema(description = "管理后台 - 薪资统计信息 Response VO")
@Data
public class SalaryTotalVO {

    @Schema(description = "实发金额总计")
    private BigDecimal realAmountTotal;

    @Schema(description = "薪资主体明细总计")
    private List<SalarySubjectItemsVO> salarySubjectItems;
}
